import request from '@/apps/mobile/utils/request'

// 用户提现审批 分页获取
export function queryPageWithdraws(data) {
    return request({
        method: 'post',
        url: '/api/userWithdraws/query-page',
        data,
    });
}

// 添加
export function addWithdraws(data) {
    return request({
        method: 'post',
        url: '/api/userWithdraws/insert',
        data,
    });
}

// 删除
export function removeWithdraws(data) {
    return request({
        method: 'delete',
        url: '/api/userWithdraws/delete-batch',
        data,
    });
}

// 编辑
export function editWithdraws(data) {
    return request({
        method: 'put',
        url: '/api/userWithdraws/update',
        data,
    });
}

// 审核
export function examineWithdraws(data) {
    return request({
        method: 'post',
        url: '/api/userWithdraws/examine',
        data,
    });
}


// 支付宝-提现打款
export function alipayWithdrawMoney(data) {
    return request({
        method: 'post',
        url: '/api/withdrawMoney',
        data,
    });
}
